%define oname kdepim-addons

Summary:	Plasma 5 PIM addons module
Name:		plasma5-%{oname}
Version:	17.08.2
Release:	1
License:	LGPLv2.1+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	xsltproc
BuildRequires:	boost-devel
BuildRequires:	grantlee-qt5-devel
BuildRequires:	kf5akonadi-devel
BuildRequires:	kf5akonadicalendar-devel
BuildRequires:	kf5akonadinotes-devel
BuildRequires:	kf5calendarsupport-devel
BuildRequires:	kf5calendarutils-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5declarative-devel
BuildRequires:	kf5eventviews-devel
BuildRequires:	kf5grantleetheme-devel
BuildRequires:	kf5gravatar-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5incidenceeditor-devel
BuildRequires:	kf5kaddressbookgrantlee-devel
BuildRequires:	kf5kaddressbookimportexport-devel
BuildRequires:	kf5libkdepim-devel
BuildRequires:	kf5libkleo-devel
BuildRequires:	kf5libksieve-devel
BuildRequires:	kf5mailcommon-devel
BuildRequires:	kf5messagecomposer-devel
BuildRequires:	kf5messagecore-devel
BuildRequires:	kf5messagelist-devel
BuildRequires:	kf5messageviewer-devel
BuildRequires:	kf5pimcommon-devel
BuildRequires:	kf5tnef-devel
BuildRequires:	kf5webengineviewer-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	kpimimportwizard-devel
BuildRequires:	qgpgme-devel
BuildRequires:	sasl-devel
BuildRequires:	pkgconfig(libical)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5WebChannel)
BuildRequires:	pkgconfig(Qt5WebEngine)
BuildRequires:	pkgconfig(Qt5WebEngineCore)
BuildRequires:	pkgconfig(Qt5WebEngineWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
Requires:	pimcalendars-qml = %{EVRD}
Conflicts:	kde5-l10n < 17.04

%description
Plasma 5 PIM addons module.

%files -f %{name}.lang
%{_kde5_bindir}/kmail_*.sh
%{_kde5_datadir}/kconf_update/webengineurlinterceptoradblock.upd
%{_kde5_datadir}/kmail2/*
%{_kde5_datadir}/messageviewer/*
%{_kde5_libdir}/contacteditor/editorpageplugins/cryptopageplugin.so
%{_kde5_services}/korganizer/*.desktop
%{_kde5_sysconfdir}/xdg/kdepim-addons.categories
%{_kde5_sysconfdir}/xdg/kdepim-addons.renamecategories
%{_kde5_sysconfdir}/xdg/kmail.antispamrc
%{_kde5_sysconfdir}/xdg/kmail.antivirusrc
%{_qt5_plugindir}/importwizard/*.so
%{_qt5_plugindir}/kaddressbook/kaddressbook_*.so
%{_qt5_plugindir}/kmail/kmail_*.so
%{_qt5_plugindir}/korg_*.so
%{_qt5_plugindir}/libksieve/imapfoldercompletionplugin.so
%{_qt5_plugindir}/libksieve/regexpeditorlineeditplugin.so
%{_qt5_plugindir}/mailtransport/mailtransport_sendplugin.so
%{_qt5_plugindir}/messageviewer_*.so
%{_qt5_plugindir}/messageviewer/messageviewer_*.so
%{_qt5_plugindir}/pimcommon/pimcommon_*.so
%{_qt5_plugindir}/plasmacalendarplugins/*
%{_qt5_plugindir}/templateparser/templateparseraddressrequesterplugin.so
%{_qt5_plugindir}/webengineviewer/webengineviewer_*.so

#----------------------------------------------------------------------------

%define qmlpimcalendars %mklibname pimcalendars-qml

%package -n %{qmlpimcalendars}
Summary:	QML plugin for Plasma 5 PIM addons module
Group:		System/Libraries
Provides:	pimcalendars-qml = %{EVRD}

%description -n %{qmlpimcalendars}
QML plugin for Plasma 5 PIM addons module.

%files -n %{qmlpimcalendars}
%dir %{_kde5_qmldir}/org/kde/plasma/PimCalendars/
%{_kde5_qmldir}/org/kde/plasma/PimCalendars/*

#----------------------------------------------------------------------------

%define adblocklibprivate_major 5
%define libadblocklibprivate %mklibname adblocklibprivate %{adblocklibprivate_major}

%package -n %{libadblocklibprivate}
Summary:	KDE PIM shared library
Group:		System/Libraries

%description -n %{libadblocklibprivate}
KDE PIM shared library.

%files -n %{libadblocklibprivate}
%{_kde5_libdir}/libadblocklibprivate.so.%{adblocklibprivate_major}*

#----------------------------------------------------------------------------

%define kaddressbookimportexportlibprivate_major 5
%define libkaddressbookimportexportlibprivate %mklibname kaddressbookimportexportlibprivate %{kaddressbookimportexportlibprivate_major}

%package -n %{libkaddressbookimportexportlibprivate}
Summary:	KDE PIM shared library
Group:		System/Libraries

%description -n %{libkaddressbookimportexportlibprivate}
KDE PIM shared library.

%files -n %{libkaddressbookimportexportlibprivate}
%{_kde5_libdir}/libkaddressbookimportexportlibprivate.so.%{kaddressbookimportexportlibprivate_major}*

#----------------------------------------------------------------------------

%define kaddressbookmergelibprivate_major 5
%define libkaddressbookmergelibprivate %mklibname kaddressbookmergelibprivate %{kaddressbookmergelibprivate_major}

%package -n %{libkaddressbookmergelibprivate}
Summary:	KDE PIM shared library
Group:		System/Libraries

%description -n %{libkaddressbookmergelibprivate}
KDE PIM shared library.

%files -n %{libkaddressbookmergelibprivate}
%{_kde5_libdir}/libkaddressbookmergelibprivate.so.%{kaddressbookmergelibprivate_major}*

#----------------------------------------------------------------------------

%define shorturlpluginprivate_major 5
%define libshorturlpluginprivate %mklibname shorturlpluginprivate %{shorturlpluginprivate_major}

%package -n %{libshorturlpluginprivate}
Summary:	KDE PIM shared library
Group:		System/Libraries

%description -n %{libshorturlpluginprivate}
KDE PIM shared library.

%files -n %{libshorturlpluginprivate}
%{_kde5_libdir}/libshorturlpluginprivate.so.%{shorturlpluginprivate_major}*

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

%find_lang cryptopageplugin customtoolsplugin importwizard_plugins kaddressbook_importexportplugins kaddressbook_plugins \
	kmail_editor_plugins kmail_editorinit_plugins kmail_editorsendcheck_plugins kmail_plugins \
	kmailtransport_plugins korganizer_plugins mailreader \
	messageviewer_application_gnupgwks_plugin messageviewer_application_mstnef_plugin \
	messageviewer_text_calendar_plugin messageviewer_text_vcard_plugin messageviewerheaderplugins \
	messageviewerplugins pimeventsplugin sieveeditor_plugins webengineurlinterceptor %{name}.lang --with-kde
%kf5locales_fix %{name}.lang

%changelog

* Wed Nov 01 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.08.2-1
- (0404dbd) Update files


